Unit QSG5R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure QSG5R(var INT :Real; A :Real; B :Real; F :Func_F1);

implementation

procedure QSG5R(var INT :Real; A :Real; B :Real; F :Func_F1);
var
K :Integer;
D,E,G,H :Real;
C :Array [0..5] of Real;
C1 :Array [0..5] of Real;
label
_1;
begin
{   DATA  FORTRAN  }
C[0] := 0.4907803;
C[1] := 0.4520586;
C[2] := 0.3849513;
C[3] := 0.2936589;
C[4] := 0.1839157;
C[5] := 0.06261670;
C1[0] := 0.02358767;
C1[1] := 0.05346966;
C1[2] := 0.08003916;
C1[3] := 0.1015837;
C1[4] := 0.1167462;
C1[5] := 0.1245735;
H := 0.0;
D := 0.5*(A+B);
E := B-A;
for K:=1 to 6 do
 begin
  G := E*C[K-1];
  H := H+C1[K-1]*(F(D+G)+F(D-G));
_1:
 end;
INT := H*E;
end;

end.
